com.versionone.apiclient

## Class Connectors

- java.lang.Object
- - com.versionone.apiclient.Connectors

- All Implemented Interfaces:
    IConnectors

  Deprecated.
  This class has been deprecated. Please use V1Connector instead.

      @Deprecated
      public final class Connectors
      extends Object
      implements IConnectors

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connectors()` Deprecated.
    `Connectors(IUrls urls, ICredentials credentials)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `V1APIConnector` | `getConfigConnector()` Deprecated.
    `V1APIConnector` | `getConfigConnectorWithProxy()` Deprecated.
    `V1APIConnector` | `getDataConnector()` Deprecated.
    `V1APIConnector` | `getDataConnectorWithProxy()` Deprecated.
    `V1APIConnector` | `getMetaConnector()` Deprecated.
    `V1APIConnector` | `getMetaConnectorWithProxy()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Connectors

          public Connectors()
                     throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### Connectors

          public Connectors(IUrls urls,
                            ICredentials credentials)
                     throws Exception

      Deprecated.
      Throws:
        `Exception`

  - ### Method Detail

    - #### getDataConnector

          public V1APIConnector getDataConnector()

      Deprecated.
      Specified by:
        `getDataConnector` in interface `IConnectors`

    - #### getMetaConnector

          public V1APIConnector getMetaConnector()

      Deprecated.
      Specified by:
        `getMetaConnector` in interface `IConnectors`

    - #### getMetaConnectorWithProxy

          public V1APIConnector getMetaConnectorWithProxy()
                                                   throws URISyntaxException

      Deprecated.
      Specified by:
        `getMetaConnectorWithProxy` in interface `IConnectors`
      Throws:
        `URISyntaxException`

    - #### getDataConnectorWithProxy

          public V1APIConnector getDataConnectorWithProxy()
                                                   throws URISyntaxException

      Deprecated.
      Specified by:
        `getDataConnectorWithProxy` in interface `IConnectors`
      Throws:
        `URISyntaxException`

    - #### getConfigConnector

          public V1APIConnector getConfigConnector()

      Deprecated.
      Specified by:
        `getConfigConnector` in interface `IConnectors`

    - #### getConfigConnectorWithProxy

          public V1APIConnector getConfigConnectorWithProxy()
                                                     throws URISyntaxException

      Deprecated.
      Specified by:
        `getConfigConnectorWithProxy` in interface `IConnectors`
      Throws:
        `URISyntaxException`

Copyright © 2022 VersionOne, Inc.. All rights reserved.